## org.jgroups.blocks.locking
Class AwaitInfo

    java.lang.Object
      org.jgroups.blocks.locking.AwaitInfo

    public class AwaitInfo

extends java.lang.Object

Field Summary
`protected boolean` `all`
`protected java.lang.String` `name`

Constructor Summary
`AwaitInfo(java.lang.String name, boolean all)`

Method Summary
`java.lang.String` `getName()`
`boolean` `isAll()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected final java.lang.String name

### all

    protected final boolean all

Constructor Detail

### AwaitInfo

    public AwaitInfo(java.lang.String name,
                     boolean all)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### isAll

    public boolean isAll()

  Returns:
    Returns whether is all.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.